org.eclipse.emf.cdo.transfer

## Class CDOTransfer.MappingEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.emf.cdo.transfer.CDOTransfer.MappingEvent

- All Implemented Interfaces:
    Serializable, IEvent
  Direct Known Subclasses:
    CDOTransfer.ChildrenChangedEvent, CDOTransfer.RelativePathChangedEvent, CDOTransfer.TransferTypeChangedEvent
  Enclosing class:
    CDOTransfer

      public abstract static class CDOTransfer.MappingEvent
      extends Event

  An abstract base implementation of a `mapping` `event`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOTransferMapping` | `getMapping()`
    `abstract boolean` | `hasTreeImpact()`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getMapping

          public CDOTransferMapping getMapping()

    - #### hasTreeImpact

          public abstract boolean hasTreeImpact()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html